USN-6781-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-6781-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-6781-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-6781-1
Related
  • CVE-2023-7101
Published
2024-05-21T13:21:26.494384Z
Modified
2024-05-21T13:21:26.494384Z
Summary
libspreadsheet-parseexcel-perl vulnerability
Details

Le Dinh Hai discovered that Spreadsheet::ParseExcel was passing unvalidated input from a file into a string-type "eval". An attacker could craft a malicious file to achieve arbitrary code execution.

References

Affected packages

Ubuntu:Pro:18.04:LTS / libspreadsheet-parseexcel-perl

Package

Name
libspreadsheet-parseexcel-perl

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6500-1ubuntu0.18.04.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libspreadsheet-parseexcel-perl": "0.6500-1ubuntu0.18.04.1~esm1"
        }
    ]
}

Ubuntu:20.04:LTS / libspreadsheet-parseexcel-perl

Package

Name
libspreadsheet-parseexcel-perl

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6500-1ubuntu0.20.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libspreadsheet-parseexcel-perl": "0.6500-1ubuntu0.20.04.1"
        }
    ]
}

Ubuntu:22.04:LTS / libspreadsheet-parseexcel-perl

Package

Name
libspreadsheet-parseexcel-perl

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6500-1.1ubuntu0.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "libspreadsheet-parseexcel-perl": "0.6500-1.1ubuntu0.1"
        }
    ]
}

Ubuntu:Pro:14.04:LTS / libspreadsheet-parseexcel-perl

Package

Name
libspreadsheet-parseexcel-perl

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.5800-1ubuntu0.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libspreadsheet-parseexcel-perl": "0.5800-1ubuntu0.1~esm1"
        }
    ]
}

Ubuntu:Pro:16.04:LTS / libspreadsheet-parseexcel-perl

Package

Name
libspreadsheet-parseexcel-perl

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.6500-1ubuntu0.16.04.1~esm1

Ecosystem specific

{
    "availability": "Available with Ubuntu Pro: https://ubuntu.com/pro",
    "binaries": [
        {
            "libspreadsheet-parseexcel-perl": "0.6500-1ubuntu0.16.04.1~esm1"
        }
    ]
}